Kali 中文网

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

搜索
查看: 128|回复: 0

[分享] kali之基础配置

[复制链接]
发表于 2017-10-11 18:04:19 | 显示全部楼层 |阅读模式
为了学习网络安全开始接触一下这个黑白帽钟情的kali系统,同样是Linux系统,应该没有什么大的区别
一、添加更源(目录:/etc/apt/sources.list)
vim /etc/apt/sources.list
将deb http://http.kali.org/kali kali-rolling main non-free contrib 粘贴到文件最末尾

二、更新升级
apt-get clean
apt-get update
apt-get upgrade -y

三、安装vmtools
由于vmtools存在兼容性问题,所以官网建议大家安装open-vm-tools-desktop
apt-get install open-vm-tools-desktop fuse
reboot

四、安装搜狗输入法(本次的重点 也是摸索了一晚上的结果 不过后来发现很简单 只是没找到正确的方法)
apt-get install fcitx-libs -y && \
apt-get install fcitx-libs-qt -y && \
apt-get install fcitx-bin -y && \
apt-get install fcitx-data -y && \
apt-get install fcitx-modules -y && \
apt-get install fcitx-module-dbus -y && \
apt-get install fcitx-module-kimpanel -y && \
apt-get install fcitx-module-lua -y && \
apt-get install fcitx-module-x11 -y && \
apt-get install fcitx -y && \
apt-get install fcitx-tools -y && \
apt-get install fcitx-ui-classic -y && \
apt-get install fcitx-config-gtk2 -y && \
apt-get install libopencc1
以上是依赖,顺序必须是这个顺序,需要手动安装(直接粘贴到shell就能用)。
到搜狗输入法官网下载安装包(搜狗官网 http://pinyin.sogou.com/linux/
开始安装:
dpkg -i sogoupinyin_2.0.0.0068_amd64.deb
开始可能出现依赖(libopencc1)错误 不过没关系
执行 apt-get install -f
然后再安装 :dpkg -i sogoupinyin_2.0.0.0068_amd64.deb
不要忘了:reboot

ok!
that's all


+1
128°C
沙发哦 ^ ^ 马上
*滑动验证:
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

关闭

站长推荐上一条 /1 下一条

Kali linux ( 蜀ICP备10027298号-4 ) Topics |


免责声明:
Kali linux中文网所发布的一切教程文章仅限用于学习和研究目的;不得将上述内容用于商业或者非法用途,否则,一切后果请用户自负。本站信息来自网络,版权争议与本站无关。您必须在下载后的24个小时之内,从您的电脑中彻底删除上述内容。

GMT+8, 2017-10-24 15:44 , Processed in 0.146377 second(s), 27 queries , Gzip On.

Powered by Discuz!

© 2009-2016 CNNS

快速回复 返回顶部 返回列表